Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.chart
Class ChartViewPart

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.amp.axf.view.ModelViewPart
                      org.eclipse.amp.agf.gef.AGFViewPart
                          org.eclipse.amp.agf.gef.EditPartViewPart
                              org.eclipse.amp.agf.chart.ChartViewPart

All Implemented Interfaces:
  java.util.EventListener, IModelPart, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class ChartViewPart

extends EditPartViewPart

The Class ChartViewPart.

Field Summary

Fields inherited from class org.eclipse.amp.agf.gef.EditPartViewPart
`ZOOM_LEVELS`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`ChartViewPart()`

Method Summary
`org.eclipse.gef.EditPartFactory` | `createFactory(java.lang.Object contents)`
`void` | `createModelListeners()` Creates the model listeners.
`org.eclipse.gef.RootEditPart` | `createRoot()`

Methods inherited from class org.eclipse.amp.agf.gef.EditPartViewPart
`createPartControl, getAdapter, getEditPart, getRootEditPart, getRootListener, getViewer, getZoomer, setInput`

Methods inherited from class org.eclipse.amp.agf.gef.AGFViewPart
`createSelectionSynchronizer, dispose`

Methods inherited from class org.eclipse.amp.axf.view.ModelViewPart
`addModelListener, getModel, getModelListeners, getName, getPropertySheetPage, isSingle, propertyChange, removeModelListener, setFocus, setModel, setPartName`

Methods inherited from class org.eclipse.ui.part.ViewPart
`getViewSite, init, init, saveState, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Constructor Detail

### ChartViewPart

    public ChartViewPart()

Method Detail

### createRoot

    public org.eclipse.gef.RootEditPart createRoot()

  Specified by:
    `createRoot` in class `EditPartViewPart`

### createModelListeners

    public void createModelListeners()

  Description copied from interface: `IModelPart`
  Creates the model listeners.

  Specified by:
    `createModelListeners` in interface `IModelPart`
  Overrides:
    `createModelListeners` in class `EditPartViewPart`
  See Also:
    `EditPartViewPart.createModelListeners()`

### createFactory

    public org.eclipse.gef.EditPartFactory createFactory(java.lang.Object contents)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD